New issue
Advanced search Search tips
Note: Color blocks (like or ) mean that a user may not be available. Tooltip shows the reason.
Starred by 5 users

Issue metadata

Status: Fixed
Owner:
Closed: Jan 2016
Cc:
Components:
EstimatedDays: ----
NextAction: ----
OS: Windows
Pri: 2
Type: Bug

Blocking:
issue 579196



Sign in to add a comment

blink::isWindowsVistaOrGreater returns true on all supported Windows platforms

Project Member Reported by jbroman@chromium.org, Jan 19 2016

Issue description

We have dropped support for Windows XP, so it stands to reason that every Windows OS running Blink will be return true. Therefore the utility is not required.
 
Blocking: chromium:579196
Cc: bunge...@chromium.org scottmg@chromium.org

Comment 3 by brat...@opera.com, Jan 20 2016

Somewhere (probably not in blink) there might be a need for code that says "This OS seems old and I really don't want to be here.". Installer? Or startup code?
We already have such a check in Chromium (currently it checks for pre-XP). Presumably someone will update it to complain on Pre-7.

https://chromium.googlesource.com/chromium/src/+/377fff16/chrome/browser/chrome_browser_main_win.cc#309
Status: Fixed

Sign in to add a comment